Subject: bug#35857: 26.2; Hangs loading desktop having shell window

From: Noam Postavsky <[email-masked]>
Date: Sat, 08 Jun 2019 19:41:25 -0400

tags 35857 + unreproducible
quit

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 22 May 2019 13:43:03 -0000
>> From: "Richard Munitz (BLOOMBERG/ 731 LEX)" <[email-masked]>
>> 
>> I am able to reproduce this problem when having only the following 3
>> lines in my .emacs file:
>> (desktop-save-mode 1) ; will save state and restore each restart.
>> (setq desktop-auto-save-timeout 60)
>> (setq desktop-restore-in-current-display t)
>> 
>> Reproduction steps:
>> run "emacs &"
>> M-X shell
>> ^X1 (Eliminate split window, leaving the shell occupying the full
>> window)
>> ^X^C (Exit emacs, answering yes to kill shell and y to save desktop)
>> run "emacs &"
>> emacs now hangs.
>
> Thank you for your report.
>
> I tried to reproduce this, but I don't have access to a system where
> both "M-x shell" and "emacs &" will work.
>
> Can someone please reproduce the problem and report where is Emacs
> stuck?  Perhaps it is asking some question and waiting for the answer?

Doesn't happen here (and I can't see why "emacs &" vs "emacs" could have
any effect, though I tried both ways).  After running emacs the second
time, no *shell* buffer is created (which I guess is expected since I
answered "yes" to kill the shell before saving the desktop).

In GNU Emacs 26.2.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)